use serde::{Deserialize, Serialize};

#[derive(Debug, Default, Serialize, Deserialize, Clone)]
pub enum CommentFlags {
    Uploader,
    Verified,
    Hearted,
    Pinned,
    #[default]
    None,
}

#[derive(Debug, Default, Serialize, Deserialize, Clone)]
pub struct Comment {
    pub video_id: String,
    pub parent: String,
    pub text: String,
    pub like_count: i64,
    pub author_id: String,
    pub author: String,
    pub author_thumbnail: Option<String>,
    pub author_url: Option<String>,
    pub timestamp: i64,
    pub flags: CommentFlags,
}
